+ Reply
Results 1 to 5 of 5

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Developing on Leopard - OSByteOrder.h?

is a discussion within the

3rd Party Apps Requests

forums, a part of the

3rd Party Apps For iPhone | iPod Touch

section;
Hi all. I think I've gotten the toolchain set up on a fresh Leopard install, but when trying to compile the example projects (helloworld and flipacoin) in XCode, I end
...
  1. #1
    What's Jailbreak?
    Join Date
    Oct 2007
    Posts
    7
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Default Developing on Leopard - OSByteOrder.h?
    Hi all.
    I think I've gotten the toolchain set up on a fresh Leopard install, but when trying to compile the example projects (helloworld and flipacoin) in XCode, I end up with ~35 errors, starting with:
    "error: libkern/arm/OSByteOrder.h: No such file or directory"

    I've searched and that file does not exist on the computer. Other errors include:
    "error: arm/_structs.h: No such file or directory"
    "error: parse error before '_STRUCT_MCONTEXT'"
    "error: parse error before '__DARWIN_ALIAS_C'"
    "error: parse error before '__DARWIN_1050'"
    "error: #error "Unknown architecture.""

    Does anyone have any ideas? I'm new to Mac OS development and I'm not sure what's going on here.

  2. #2
    What's Jailbreak?
    Join Date
    Oct 2007
    Posts
    7
    Thanks
    2
    Thanked 0 Times in 0 Posts

    No ideas?

  3. #3
    the kanye west of programming drunknbass's Avatar
    Join Date
    Jul 2007
    Posts
    392
    Thanks
    0
    Thanked 51 Times in 41 Posts

    sounds like you have alot of probs. #1 i wouldnt start compiles flipacoin, #2 id compile something easy, and #3 make sure you are compiling with a makefile that is known to work with the toolchain you have on leopard.

  4. #4
    What's Jailbreak?
    Join Date
    Oct 2007
    Posts
    7
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Quote Originally Posted by drunknbass View Post
    sounds like you have alot of probs. #1 i wouldnt start compiles flipacoin, #2 id compile something easy, and #3 make sure you are compiling with a makefile that is known to work with the toolchain you have on leopard.
    Thanks for the response. Compiling anything I can find fails, from the basic template project to flipacoin and motion and some other example projects. I would think that maybe it was something having to do with Xcode 3 and the Leopard SDK files, but I don't see other people having this same problem, so it must be a configuration issue (or maybe I'm missing a set of header files somehow).

  5. #5
    the kanye west of programming drunknbass's Avatar
    Join Date
    Jul 2007
    Posts
    392
    Thanks
    0
    Thanked 51 Times in 41 Posts

    i dont know of anyone other than myself using xcode 3 and leopard. you need to build from terminal with a makefile before you try and use xcode, when you know your toolchain works then you should move on to something like xcode, which isnt the easiest to set up for leo, but i will have a template online on my site soon.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts